define("clientkernelLoggerApi", [],
    function() {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof clientkernelLoggerApi == 'undefined') {
            var clientkernelLoggerApi = {};
        };

        clientkernelLoggerApi.ILogger = function() {}
        clientkernelLoggerApi.ILogger.prototype = {

            error: function(message) {
                return {
                    arguments: ["*"],
                    returns: "void"
                };
            },
            warn: function(message) {
                return {
                    arguments: ["*"],
                    returns: "void"
                };
            },
            info: function(message) {
                return {
                    arguments: ["*"],
                    returns: "void"
                };
            },
            debug: function(message) {
                return {
                    arguments: ["*"],
                    returns: "void"
                };
            },
            trace: function(message) {
                return {
                    arguments: ["*"],
                    returns: "void"
                };
            }
        };

        clientkernelLoggerApi.ILoggerFactory = function() {}
        clientkernelLoggerApi.ILoggerFactory.prototype = {

            getLogger: function(modulename) {
                return {
                    arguments: ["string"],
                    returns: "*"
                };
            },
            getDefaultLogger: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            }
        };
        return {
            exports: clientkernelLoggerApi
        };
    });
//# sourceURL=loggerApi.js